Bug 126950 - Missing "BuildRequires: texinfo" in libtool.spec
Missing "BuildRequires: texinfo" in libtool.spec
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-29 14:14 EDT by Dawid Gajownik
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-16 12:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2004-06-29 14:14:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7) Gecko/20040616

Description of problem:
Hi!

I have some time to spare so I rebuild packages to make them faster. I
noticed that without package texinfo compilation of libtool gives me
this warning:

"/home/y4kk0/rpm/BUILD/libtool-1.5.6/missing: line 52: makeinfo:
command not found
WARNING: `makeinfo' is missing on your system.  You should only need it if
         you modified a `.texi' or `.texinfo' file, or any other file
         indirectly affecting the aspect of the manual.  The spurious
         call might also be the consequence of using a buggy `make' (AIX,
         DU, IRIX).  You might want to install the `Texinfo' package or
         the `GNU make' package.  Grab either from any GNU archive site."

And when installing this package:

[root@X athlon]# rpm -Uvh --replacefiles --replacepkgs libtool-*.rpm
Przygotowywanie...         
########################################### [100%]
   1:libtool-libs          
########################################### [ 50%]
   2:libtool               
########################################### [100%]
install-info: warning: no info dir entry in
`/usr/share/info/libtool.info.gz'


Version-Release number of selected component (if applicable):
libtool-1.5.6-1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. rebuild libtool package without installed texinfo
2.
3.
    

Expected Results:  Add "BuildRequires: texinfo" to libtool.spec file
(or /usr/bin/makeinfo - I do not know which is better).
Comment 1 Jens Petersen 2004-07-05 23:00:00 EDT
Thanks should get fixed in next build.
Comment 2 Dawid Gajownik 2004-07-16 12:10:46 EDT
Fixed in 1.5.6-4. Thanks!

Note You need to log in before you can comment on or make changes to this bug.